Bug 124409 - Kernel BUG at drivers/usb/storage/usb.c:848!
Kernel BUG at drivers/usb/storage/usb.c:848!
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-26 08:24 EDT by Edgar Bertoti
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 01:47:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Edgar Bertoti 2004-05-26 08:24:41 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
Code:  Bad EIP value.
 ------------[ cut here ]------------
kernel BUG at drivers/usb/storage/usb.c:848!
invalid operand: 0000 [#2]
CPU:    0
EIP:    0060:[<3e9d60db>]    Not tainted
EFLAGS: 00010202   (2.6.5-1.358)
EIP is at usb_stor_release_resources+0x34/0x9b [usb_storage]
eax: 22bdb400   ebx: 1f91a600   ecx: 3e948868   edx: 22bdb488
esi: 3e9e11a0   edi: 22bdb464   ebp: 0000000a   esp: 39ef5f24
ds: 007b   es: 007b   ss: 0068
Process khubd (pid: 5, threadinfo=39ef5000 task=3df18030)
Stack: 22bdb454 022117f5 22bdb464 3e9e11c0 021d9628 022e28a0 022e28ec
021d9728
       22bdb464 022daae8 08d540cc 021d8a96 22bdb464 08d54000 ffffffff
021d8abf
       00000001 02215fe4 08d54040 08d54000 0221212a 00000100 3c413800
00000003
Call Trace:
 [<022117f5>] usb_unbind_interface+0x2c/0x50
 [<021d9628>] device_release_driver+0x3c/0x46
 [<021d9728>] bus_remove_device+0x47/0x80
 [<021d8a96>] device_del+0x66/0x87
 [<021d8abf>] device_unregister+0x8/0x10
 [<02215fe4>] usb_disable_device+0x62/0x8a
 [<0221212a>] usb_disconnect+0x9d/0xd2
 [<0221396f>] hub_port_connect_change+0x4b/0x210
 [<02213c0a>] hub_events+0xd6/0x296
 [<02213de8>] hub_thread+0x1e/0xd0
 [<02115e97>] default_wake_function+0x0/0xc
 [<02213dca>] hub_thread+0x0/0xd0
 [<021041d9>] kernel_thread_helper+0x5/0xb

Code: 0f 0b 50 03 82 c7 9d 3e c7 83 b4 00 00 00 00 00 00 00 8d 8b



Version-Release number of selected component (if applicable):
kernel-2.6.5-1.358

How reproducible:
Sometimes

Steps to Reproduce:
Sometimes happened when I connected and disconnected my flash drive
on a Compaq nx9010 laptop.

Additional info:

After inserting the lines

install usb-uhci modprobe yenta-socket
install ehci-hcd modprobe yenta-socket

in the /etc/modprobe.conf file, the error cannot be reproduced.
Comment 1 Pete Zaitcev 2004-08-26 17:24:19 EDT
Is this reproducible on kernel 2.6.8-1.521 ?
Comment 2 Dave Jones 2005-04-16 01:47:40 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.